aldidsCoop
Members

Update Member

On this page 6
PUT /members/{id}

Parameters

Path
id string Required

Request Body

application/json
object
  • slug string nullable
  • user_id integer nullable
  • name string nullable
  • gender string nullable
    Allowed values Male Female null
  • phone string nullable
  • email string email nullable
  • address string nullable
  • kin_name string nullable
  • kin_relationship string nullable
  • kin_phone string nullable
  • kin_address string nullable
  • saving number nullable
  • status string nullable
    Allowed values active inactive withdrawn null

Responses

200

application/json
object

401

Unauthenticated

application/json
object
  • message string Required

    Error overview.

422

Validation error

application/json
object
  • message string Required

    Errors overview.

  • errors object Required

    A detailed description of each field that failed validation.